import type { ICellMetadata, ICodeCell, ICodeCellMetadata } from '@difizen/libro-common';
import type { ExecutionCount } from '@difizen/libro-common';
import { CellOptions, LibroCellModel } from '@difizen/libro-jupyter';
import type { ExecutableCellModel } from '@difizen/libro-jupyter';
import type { Event as ManaEvent } from '@difizen/mana-app';
import { Emitter, ViewManager } from '@difizen/mana-app';
import type { SqlDecodedFormatter } from './libro-formatter-sql-magic-contribution.js';
export interface SqlCellMetadata extends ICodeCellMetadata {
    resultVariable: string;
}
export declare class LibroSqlCellModel extends LibroCellModel implements ExecutableCellModel {
    resultVariable: string | undefined;
    dbId: string | undefined;
    executeCount: ExecutionCount;
    executing: boolean;
    hasOutputHidden: boolean;
    hasOutputsScrolled: boolean;
    kernelExecuting: boolean;
    hasExecutedSuccess: boolean;
    hasExecutedError: boolean;
    metadata: Partial<SqlCellMetadata | ICellMetadata>;
    _decodeObject: SqlDecodedFormatter;
    msgChangeEmitter: Emitter<any>;
    get msgChange(): ManaEvent<any>;
    viewManager: ViewManager;
    constructor(options: CellOptions, viewManager: ViewManager);
    toJSON(): Omit<ICodeCell, 'outputs'>;
    set decodeObject(data: SqlDecodedFormatter);
    get decodeObject(): SqlDecodedFormatter;
    clearExecution: () => void;
    dispose(): void;
    getSource(): string;
}
//# sourceMappingURL=libro-sql-cell-model.d.ts.map